<?php
//=====================================================================================
// Camelpark PageRank Module
// Created for Joomla 1.5.x by Leslie
// More info: http://www.camelpark.hu/
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// The "GNU General Public License" (GPLv2.0) is available at
// http://www.gnu.org/licenses/gpl-2.0.html
//=====================================================================================

defined( '_JEXEC' ) or die( 'Restricted access' );

$domain 		= $params->get( 'domain') ;
$type 			= $params->get( 'type') ;
$align 			= $params->get( 'align') ;
$createdby 		= $params->get( 'createdby') ;

switch ($type) {
  case "1" :
    $type = "<a href=\"http://www.camelpark.hu/\" target=\"_blank\"><img src=\"http://pr.camelpark.hu/sig.php?les=$domain&amp;y=0\" border=\"0\" alt=\"Google PageRank module - Camelpark SEO centrum\" /></a>";
  break;
  case "2" :
    $type = "<a href=\"http://www.camelpark.hu/\" target=\"_blank\"><img src=\"http://pr.camelpark.hu/sig.php?les=$domain&amp;y=2\" border=\"0\" alt=\"Google PageRank module - Camelpark SEO centrum\" /></a>";
  break;
  case "3" :
    $type = "<a href=\"http://www.camelpark.hu/\" target=\"_blank\"><img src=\"http://pr.camelpark.hu/sig.php?les=$domain&amp;y=1\" border=\"0\" alt=\"Google PageRank module - Camelpark SEO centrum\" /></a>";
  break;
  case "4" :
    $type = "<a href=\"http://www.camelpark.hu/\" target=\"_blank\"><img src=\"http://pr.camelpark.hu/sig.php?les=$domain&amp;y=3\" border=\"0\" alt=\"Google PageRank module - Camelpark SEO centrum\" /></a>";
  break;
  default:
    $type = "";
  break;
}

switch ($align) {
  case "1" :
    $align = "center";
  break;
  case "2" :
    $align = "left";
  break;
  case "3" :
    $align = "right";
  break;
  default:
    $align = "";
  break;
}

switch ($createdby) {
  case "1" :
    $createdby = "<font size=\"1\">info: <a href=\"http://www.camelpark.hu/seo/mit-jelentenek-ezek-a-szamok/\">SEO figures</a></font></div>";
  break;
  case "2" :
    $createdby = "</div>";
  break;
  default:
    $createdby = "";
  break;
}

echo "<div class=\"syndicate\"><div align=\"center\">";
echo "$type";
echo "</div><hr /><div align=\"center\">";
echo "$createdby";
echo "</div>"
?>
